Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Content Acquisition System Web Service Stubs 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.itl.cas
Class CrawlerState

    java.lang.Object
      com.endeca.itl.cas.CrawlerState

All Implemented Interfaces:
  java.io.Serializable

    public class CrawlerState

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `_NOT_RUNNING`
`static java.lang.String` | `_RUNNING`
`static java.lang.String` | `_STOPPING`
`static CrawlerState` | `NOT_RUNNING`
`static CrawlerState` | `RUNNING`
`static CrawlerState` | `STOPPING`

Constructor Summary
`protected` | `CrawlerState(java.lang.String value)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`static CrawlerState` | `fromString(java.lang.String value)`
`static CrawlerState` | `fromValue(java.lang.String value)`
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)`
`static org.apache.axis.encoding.Serializer` | `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)`
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`java.lang.String` | `getValue()`
`int` | `hashCode()`
`java.lang.Object` | `readResolve()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### _NOT_RUNNING

    public static final java.lang.String _NOT_RUNNING

See Also:
  Constant Field Values

### _STOPPING

    public static final java.lang.String _STOPPING

See Also:
  Constant Field Values

### _RUNNING

    public static final java.lang.String _RUNNING

See Also:
  Constant Field Values

### NOT_RUNNING

    public static final CrawlerState NOT_RUNNING

### STOPPING

    public static final CrawlerState STOPPING

### RUNNING

    public static final CrawlerState RUNNING

Constructor Detail

### CrawlerState

    protected CrawlerState(java.lang.String value)

Method Detail

### getValue

    public java.lang.String getValue()

### fromValue

    public static CrawlerState fromValue(java.lang.String value)
                                  throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### fromString

    public static CrawlerState fromString(java.lang.String value)
                                   throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### readResolve

    public java.lang.Object readResolve()
                                 throws java.io.ObjectStreamException

  Throws:
    `java.io.ObjectStreamException`

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Content Acquisition System Web Service Stubs 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, 2012, Oracle and/or its affiliates. All rights reserved.

    @VERSION
    PRODUCT: Content Acquisition System Web Service Stubs (casStubs)
    VERSION: 3.2.2
    BUILD:   NONEDEV
    ARCH_OS: n/a
    DATE:    2012-02-28T13:13:19-0500